KV Management
Bulk delete KV entries
Delete multiple key-value entries in a single request. Pass an array of keys or a prefix pattern.
curl -X POST "https://api.mythic-analytics.com/api/v1/admin/kv/bulk-delete" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"keys": [
"client:acme-retail:config",
"client:acme-retail:loader"
],
"prefix": "client:acme-retail:"
}'
import requests
import json
url = "https://api.mythic-analytics.com/api/v1/admin/kv/bulk-delete"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"keys": [
"client:acme-retail:config",
"client:acme-retail:loader"
],
"prefix": "client:acme-retail:"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.mythic-analytics.com/api/v1/admin/kv/bulk-delete", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"keys": [
"client:acme-retail:config",
"client:acme-retail:loader"
],
"prefix": "client:acme-retail:"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"keys": [
"client:acme-retail:config",
"client:acme-retail:loader"
],
"prefix": "client:acme-retail:"
}`)
req, err := http.NewRequest("POST", "https://api.mythic-analytics.com/api/v1/admin/kv/bulk-delete", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.mythic-analytics.com/api/v1/admin/kv/bulk-delete')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"keys": [
"client:acme-retail:config",
"client:acme-retail:loader"
],
"prefix": "client:acme-retail:"
}'
response = http.request(request)
puts response.body
{
"success": true,
"deleted_count": 5
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
POST
/admin/kv/bulk-delete
POST
Security Scheme
Bearer Tokenstring
RequiredAdmin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Admin API key as bearer token. Format:
Bearer YOUR_ADMIN_KEYContent-Typestring
RequiredThe media type of the request body
Options: application/json
keysarray
Specific keys to delete.
prefixstring
Delete all keys matching this prefix. Use with caution.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Body
application/json
keysarray
Specific keys to delete.
prefixstring
Delete all keys matching this prefix. Use with caution.
Responses
successboolean
deleted_countinteger
Number of entries deleted.
Was this page helpful?
Built with Documentation.AI
Last updated today